# used by hinfo, normally indirectly through /etc/hinfo.conf or ~/.hinforc
#
# Current version can be gotten from http://www.blars.org/hinfo/dnsbl.ins.pl
#
#	 3 Nov 2002	Added contacts.abuse.net
#	24 Oct 2002	Added copyright notice
#	01 Oct 2002	Added @version
#
#
## This program is free software; you can redistribute it and/or modify
## it under the terms of the version 2 of the GNU General Public License 
## as published by the Free Software Foundation.  The license should
## be included in the file COPYING distributed with the source.
##


@version = (@version, "dnsbl.ins.pl 24 Oct 2002");

# list of DNSbl lists to consult
# for each DNS server:
#	["server", "name", "URL for info", \&explainsub,
#		[used by explainsub],],

@bhlists = (
# Blars Block List
	["block.blars.org", "Blars Block List", "www.blars.org/block.html",
	    \&explain_bitmask, [
		"Spam sending domain",
		"Multi-hop relay",
		"Dialups not in MAPS DUL",
		"Wants spam compainers to jump through hoops",
		"No working abuse addres",
		"Hosts spamers web sites",
		"Hosts spammers email dropboxes",
		"breakin attempts",
		"sued MAPS",
		"DOS attack",
		"Spamware supplier",
		"Knowingly supports spammers",
		"Legal threats",
		"attepted mail relay",
		"attepted formmail exploit",
		"carreer spammer support",
		]],
# ordb.org
	["relays.ordb.org", "ORDB open relays", "www.ordb.org/",
		\&explain_txt, "relays.ordb.org",],
# relays.osirusoft.com
	["relays.osirusoft.com", "osirusoft relays", 
	    "relays.osirusoft.com/", \&explain_iterate_txt, [
		"",
		"",
		"Verified open relay",
		"Dialup Spam Source",
		"Confirmed Spam Source",
		"Smart Host",
		"Spamware developer",
		"non-confirmed mailnglist",
		"insecure formmail",
		"open proxy",
		]],
	["dialups.osirusoft.com", "osirusoft dialups",
		"relays.osirusoft.com/"],
	["spamsites.osirusoft.com", "osirusoft spamsites", 
		"relays.osirusoft.com/"],
	["spamhaus.osirusoft.com", "osirusoft spamhaus",
		"relays.osirusoft.com/"],
	["outputs.osirusoft.com", "osirusoft outputs",
		"relays.osirusoft.com/"],
# selwerd xbl
	["xbl.selwerd.cx", "selwerd XBL", "selwerd.cx/xbl/", \&explain_txt, ],
# dorkslayers orbs
	["orbs.dorkslayers.com", "Dorkslayers ORBS", 
		"www.dorkslayers.com/remove.html",],
	["ztl.dorkslayers.com", "Dorkslayers ztl",],
# spamcop bl
	["bl.spamcop.net", "Spamcop BL", "spamcop.net/"],
# five-ten-sg
	["blackholes.five-ten-sg.com", "Five-Ten-SG Blackholes",
	    "www.five-ten-sg.com/blackholes.php", \&explain_iterate, [
		"",
		"",
		"spam source",
		"dialup",
		"bulk mailer",
		"multi-stage relay",
		"single-stage relay",
		"spam support",
		"insecure web proxy",
	]],
# spambag.org
	["blacklist.spambag.org", "SpamBag", "spambag.org/", \&explain_txt, ],
# visi.com relays
	["relays.visi.com", "visi.com relays"],
# njabl
	["dnsbl.njabl.org", "njabl", "njabl.org/", \&explain_iterate, [
		"",
		"",
		"spam source or open relay",
		"dialup",
	]],
# rfc-ignorant.org
	["ipwhois.rfc-ignorant.org", "rfc-ignorant ipwhois", 
		"rfc-ignorant.org/"],
# compu
	["blackhole.compu.net", "Compu",],
	["pm0-no-more.compu.net", "Compu PM0 No-more",],
# dev.null.dk
	["dev.null.dk", "DK devnull", "www.fabel.dk/relay/",],
	["spamsources.fabel.dk", "DK spamsources",],
# flowgoaway
	["flowgoaway.com", "FloGoAway.com",],
# leadmon
	["spamguard.leadmon.net", "Leadmon spamguard",
		"www.leadmon.com/spamguard/", \&explain_iterate, [
		"",
		"",
		"dialup",
		"spam source",
		"bulk mailer",
		"open relay",
		"multi-stage relay",
		"spammer block",
		]],
# intersil
	["blackholes.intersil.net", "intersil blackholes",],
# kithrup
	["3y.spam.mrs.kithrup.com", "kithrup",],
# spamtr
#	["rbl.spam.org.tr", "Turkish spam list", "www.spam.org.tr/rbl/",],
# v6net
	["spammers.v6net.org", "v6net spammers",],
# summit
	["blakholes.2mbit.com", "summit blocking list",
		"www.2mbit.com/sbl.php",],
# wirehub
	["blackholes.wirehub.net", "Wirehub blackholes",
		"basic.wirehub.nl/blackholes.html", ],
	["dynablock.wirehub.net", "Wirehub Dynablock",
		"basic.wirehub.nl/dynablocker.html", ],
# dsbl
	["list.dsbl.org", "DSBL", "dsbl.org/", ],
	["unconfirmed.dsbl.org", "DSBL unconfirmed", "dsbl.org/", ],
	["multihop.dsbl.org", "DSBL multihop", "dsbl.org/", ],
# dews
	["dews.qmail.org", "DEWS", "dews.qmail.org/", ],
# monkeys
	["formmail.relays.monkeys.com", "Monkeys formmail",
		"www.monkeys.com/anti-spam/filtering/formmail.html", ],
	["proxies.relays.monkeys.com", "Monkeys proxies",
		"www.monkeys.com/anti-spam/filtering/proxies.html", ],
	
# blitzed
	["opm.blitzed.org", "Blitzed", "www.blitzed.org/opm/",
	 	\&explain_txt, ],
# delink
	["dnsbl.delink.net", "Delink", "dnsbl.delink.net/",
	 	\&explain_txt, ],
# dnsrbl
	["dun.dnsrbl.net", "DNSRBL DUN", "www.dnsrbl.com/",],
	["spam.dnsrbl.net", "DNSRBL spam", "www.dnsrbl.com/",],
# nomorefunn
	["no-more-funn.moensted.dk", "NoMoreFunn",
	 	"www.moensted.dk/spam/no-more-funn.moensted.dk.txt/", 
		\&explain_txt, ],
# blackholes.us (not all .blackholes.us domains listed here)
	["verio.blackholes.us", "verio.blackholes.us", "www.blackholes.us/",
		\&explain_txt, ],
	["level3.blackholes.us", "level3.blackholes.us", "www.blackholes.us/",
		\&explain_txt, ],
	["cn-kr.blackholes.us", "cn-kr.blackholes.us", "www.blackholes.us/",
	 	\&explain_txt, ],
	["nigeria.blackholes.us", "nigeria.blackholes.us",
	 	"www.blackholes.us/", \&explain_txt, ],
# ybl
	["ybl.megacity.org", "Yahoo", "", \&explain_txt, ],
);

# domain based checks, format the same as @bhlist

@domainbased = (
# abuse.net contacts
	["contacts.abuse.net", "Abuse.net Contacts", "www.abuse.net/",
		\&explain_txt, ],
# rfc-ignorant.org
	["dsn.rfc-ignorant.org", "rfc-ignorant dsn", 
		"rfc-ignorant.org/"],
	["postmaster.rfc-ignorant.org", "rfc-ignorant postmaster", 
		"rfc-ignorant.org/"],
	["abuse.rfc-ignorant.org", "rfc-ignorant abuse", 
		"rfc-ignorant.org/"],
	["whois.rfc-ignorant.org", "rfc-ignorant whois", 
		"rfc-ignorant.org/"],
# monkeys
	["bandwith-pigs.monkeys.com", "Monkeys.com bandwidth pigs",
		"www.monkeys.com/bandwidth-pigs/",],
# dnsbl.org
	["in.dnsbl.org", "DNSBL.org", "www.dnsbl.org/", \&explain_iterate, [
		"",
		"",	
		"UCE",
		"Fraud",
		"Promotes spamware",
		"illegal content",
		"bad mailing list",
		]],

);
